: Class SpaceServerHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class SpaceServerHelper

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLayeredPane
                              |
                              +--javax.swing.JDesktopPane
                                    |
                                    +--org.w3c.jigadmin.editors.SpaceServerHelper

Direct Known Subclasses:
  IndexersServerHelper

public class SpaceServerHelper
extends javax.swing.JDesktopPane
implements ServerHelperInterface, ResourceActionListener

Server Helper for resources space.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDesktopPane
`javax.swing.JDesktopPane.AccessibleJDesktopPane`

Inner classes inherited from class javax.swing.JLayeredPane
`javax.swing.JLayeredPane.AccessibleJLayeredPane`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected javax.swing.JInternalFrame` | `iframe`
`protected java.lang.String` | `name`
`protected RemoteResourceWrapper` | `root`
`protected javax.swing.JTabbedPane` | `tabbedPane`
`protected java.lang.String` | `tooltip`
`protected ResourceTreeBrowser` | `tree`
`protected javax.swing.JScrollPane` | `treeview`

Fields inherited from class javax.swing.JLayeredPane
`DEFAULT_LAYER, DRAG_LAYER, FRAME_CONTENT_LAYER, LAYER_PROPERTY, MODAL_LAYER, PALETTE_LAYER, POPUP_LAYER`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.w3c.jigadmin.editors.ServerHelperInterface
`TOOLTIP_P`

Constructor Summary
`SpaceServerHelper()` Constructor.

Method Summary
`protected void` | `build()` Build the interface
`java.awt.Component` | `getComponent()` Get the Component.
`protected javax.swing.JInternalFrame` | `getInternalFrame()` Get the Internal Frame containing frame & resource lists
`java.lang.String` | `getName()` Get the helper name.
`protected DraggableList` | `getResourceList(java.util.Vector cells)` Get a draggable JList of ResourceCell
`java.lang.String` | `getToolTip()` Get the helper tooltip
`protected ResourceTreeBrowser` | `getTreeBrowser()` Return a new ResourceTreeBrowser.
`void` | `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.
`void` | `resourceActionPerformed(ResourceActionEvent e)` A resource action occured.
`void` | `setBounds(int x, int y, int width, int height)` Moves and resizes this component.
`protected void` | `updateLayout(int width, int height)` Update the layout in the JDesktopPane

Methods inherited from class javax.swing.JDesktopPane
`getAccessibleContext, getAllFrames, getAllFramesInLayer, getDesktopManager, getUI, getUIClassID, isOpaque, paramString, setDesktopManager, setUI, updateUI`

Methods inherited from class javax.swing.JLayeredPane
`addImpl, getComponentCountInLayer, getComponentsInLayer, getComponentToLayer, getIndexOf, getLayer, getLayer, getLayeredPaneAbove, getObjectForLayer, getPosition, highestLayer, insertIndexForLayer, isOptimizedDrawingEnabled, lowestLayer, moveToBack, moveToFront, paint, putLayer, remove, setLayer, setLayer, setPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### root

    protected RemoteResourceWrapper root

### tree

    protected ResourceTreeBrowser tree

### tabbedPane

    protected javax.swing.JTabbedPane tabbedPane

### treeview

    protected javax.swing.JScrollPane treeview

### iframe

    protected javax.swing.JInternalFrame iframe

Constructor Detail

### SpaceServerHelper

    public SpaceServerHelper()

  Constructor.

Method Detail

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### getResourceList

    protected DraggableList getResourceList(java.util.Vector cells)

  Get a draggable JList of ResourceCell
  Parameters:
    `cells` - a Vector of ResourceCell
  Returns:
    A DraggableList instance

### getInternalFrame

    protected javax.swing.JInternalFrame getInternalFrame()

  Get the Internal Frame containing frame & resource lists
  Returns:
    A JInternalFrame instance

### resourceActionPerformed

    public void resourceActionPerformed(ResourceActionEvent e)

  A resource action occured.
  Specified by:
    resourceActionPerformed in interface ResourceActionListener
  Parameters:
    `e` - the ResourceActionEvent

### getTreeBrowser

    protected ResourceTreeBrowser getTreeBrowser()

  Return a new ResourceTreeBrowser.
  Returns:
    a ResourceTreeBrowser instance

### build

    protected void build()

  Build the interface

### updateLayout

    protected void updateLayout(int width,
                                int height)

  Update the layout in the JDesktopPane
  Parameters:
    `width` - The JDesktopPane width
    `height` - The JDesktopPane height

### setBounds

    public void setBounds(int x,
                          int y,
                          int width,
                          int height)

  Moves and resizes this component. The new location of the top-left corner is specified by x and y, and the new size is specified by width and height.
  Overrides:
    setBounds in class java.awt.Component
  Parameters:
    `x` - The new x-coordinate of this component.
    `y` - The new y-coordinate of this component.
    `width` - The new width of this component.
    `height` - The new height of this component.

### getName

    public java.lang.String getName()

  Get the helper name.
  Specified by:
    getName in interface ServerHelperInterface
  Overrides:
    getName in class java.awt.Component
  Returns:
    a String instance

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip
  Specified by:
    getToolTip in interface ServerHelperInterface
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the Component.
  Returns:
    a Component instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD